Ana içeriğe geç

Update Method-Level Override

Endpoint

PUT /apiops/projects/{projectName}/apiProxies/{apiProxyName}/trafficLogSettings/{environmentName}/methods/{methodName}/connectors/{connectorType}/

Authentication

Requires a Personal API Access Token.

Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer {token}Yes
Content-Typeapplication/jsonYes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyNamestringYesAPI Proxy name
environmentNamestringYesEnvironment name
methodNamestringYesAPI method/endpoint name
connectorTypestringYesConnector type (e.g., ELASTICSEARCH, DATABASE)

Connector Types

ELASTICSEARCH_INDEX, DB_INSERT_UPDATE_DELETE, SYSLOG_SEND, WEBHOOK_SEND, RABBITMQ_SEND, ACTIVEMQ_SEND, KAFKA_SEND, GRAYLOG_SEND, LOGBACK_APPEND

Request Body

The request body is a Connector Log Settings object. See Update Traffic Log Settings for field descriptions.

{
"enabled": true,
"logBodyRequestFromClient": false,
"logBodyResponseFromTarget": true,
"enableBodyFromClientSize": true,
"sizeBodyFromClient": 512
}

Response

Success Response (200 OK)

{
"status": "SUCCESS",
"resultList": null,
"resultCount": null
}

Error Response (400 Bad Request)

{
"error": "bad_request",
"error_description": "Method (/pets) is not found in ApiProxy!"
}

cURL Example

curl -X PUT \
"https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/trafficLogSettings/production/methods/%2Fpets/connectors/ELASTICSEARCH_INDEX/" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"enabled": true,
"logBodyRequestFromClient": false,
"logBodyResponseFromTarget": true
}'
uyarı

Method names containing / must be URL-encoded (e.g., /pets%2Fpets).

Notes and Warnings

  • Automatic Deployment: Changes are automatically deployed after save
  • Override Precedence: Method-level settings override proxy-level settings for the specified connector
  • Null Fields: Fields set to null inherit from proxy-level connector settings

Permissions

User must have API_MANAGEMENT + MANAGE permission in the project.